Bug 1845646 - [sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy router should pass the gRPC interoperability tests
Summary: [sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1845434
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-09 18:00 UTC by Ben Parees
Modified: 2020-07-22 12:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1845434
Environment:
[sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy router should pass the gRPC interoperability tests
Last Closed: 2020-07-22 12:20:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25104 None closed [release-4.5] Bug 1845646: router/grpc-interop: switch to WaitForPodRunningSlow 2020-08-03 19:58:52 UTC
Red Hat Product Errata RHBA-2020:2956 None None None 2020-07-22 12:21:08 UTC

Description Ben Parees 2020-06-09 18:00:12 UTC
+++ This bug was initially created as a clone of Bug #1845434 +++

test:
[sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy router should pass the gRPC interoperability tests 

is failing frequently in CI, see search results:
https://search.svc.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-network-edge%5C%5D%5C%5BConformance%5C%5D%5C%5BArea%3ANetworking%5C%5D%5C%5BFeature%3ARouter%5C%5D+The+HAProxy+router+should+pass+the+gRPC+interoperability+tests


The job is timing out:
* https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_must-gather/156/pull-ci-openshift-must-gather-master-e2e-aws/233
* https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/25053/pull-ci-openshift-origin-master-e2e-aws-fips/3224

--- Additional comment from Andrew McDermott on 2020-06-09 14:58:12 UTC ---

The timeout is from the builder container. This container builds go code at runtime. In local testing this is taking ~50s, but in CI this can take 5 minutes (or more). One solution would be to just bump the timeout but I think for 4.6 we should have our own separate test image repo.

Comment 1 Ben Parees 2020-06-09 18:01:15 UTC
this is causing failures in our 4.2->4.5 upgrade test job:

https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade-4.2-to-4.3-to-4.4-to-4.5-ci/91

[sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy router should pass the gRPC interoperability tests [Suite:openshift/conformance/parallel/minimal] expand_less 	2m24s
fail [github.com/openshift/origin/test/extended/router/grpc-interop.go:165]: Unexpected error:
    <*status.statusError | 0xc000167090>: {
        Code: 4,
        Message: "context deadline exceeded",
        Details: nil,
        XXX_NoUnkeyedLiteral: {},
        XXX_unrecognized: nil,
        XXX_sizecache: 0,
    }
    rpc error: code = DeadlineExceeded desc = context deadline exceeded
occurred


cloning for backport to 4.5.0 to get our CI jobs back to green

Comment 4 Andrew McDermott 2020-06-22 14:06:20 UTC
The 4.5 window closed and this PR despite being in POST didn't pass CI in time so moving to 4.5.z.

Comment 5 Andrew McDermott 2020-07-09 12:10:27 UTC
Iā€™m adding UpcomingSprint, because I was occupied by fixing bugs with
higher priority/severity, developing new features with higher
priority, or developing new features to improve stability at a macro
level. I will revisit this bug next sprint.

Comment 8 Hongan Li 2020-07-20 01:26:08 UTC
didn't see the failure in the CI search results, moving to verified.

Comment 10 errata-xmlrpc 2020-07-22 12:20:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2956


Note You need to log in before you can comment on or make changes to this bug.